Subject: [bug#68728] [PATCH 2/2] gnu: virt-manager: Fix qemu path substitution.

From: Hilton Chain <[email-masked]>
Date: Fri, 26 Jan 2024 12:58:20 +0800

* gnu/packages/virtualization.scm (virt-manager)[arguments]<#:phases>: Adjust
‘fix-default-uri’ according to source change.

Change-Id: Ic5085841db4759096b844d6f92f81d90554709d1
---
 gnu/packages/virtualization.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/virtualization.scm b/gnu/packages/virtualization.scm
index 1c971471c7..5888d777ea 100644
--- a/gnu/packages/virtualization.scm
+++ b/gnu/packages/virtualization.scm
@@ -1645,8 +1645,8 @@ (define-public virt-manager
                  (lambda* (#:key inputs #:allow-other-keys)
                    ;; Xen is not available for now - so only patch qemu.
                    (substitute* "virtManager/createconn.py"
-                     (("/usr(/bin/qemu-system-[a-zA-Z0-9_-]+)" _ suffix)
-                      (search-input-file inputs suffix)))))
+                     (("/usr(/bin/qemu-system-\\*)" _ suffix)
+                      (string-append #$(this-package-input "qemu") suffix)))))
                (add-before 'wrap 'wrap-with-GI_TYPELIB_PATH
                  (lambda* (#:key inputs #:allow-other-keys)
                    (let* ((bin       (string-append #$output "/bin"))
-- 
2.41.0